%define game_name ufoai

Name:		ufoai-music
Version:	2.1.1
Release:	2%{?dist}
Summary:	UFO: Alien Invasion additional music

Group:		Amusements/Games
# please see https://bugzilla.redhat.com/show_bug.cgi?id=412001#c10
License:	Copyright only
URL:		http://ufoai.sourceforge.net/
Source:		http://downloads.sourceforge.net/%{game_name}/music.tar.bz2

BuildRoot:	%{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
BuildArch:	noarch

Requires:	ufoai


%description
UFO: ALIEN INVASION is a strategy game featuring tactical combat
against hostile alien forces which are about to infiltrate earth at
this very moment.

This package contains additional in-game music provided by Manuel Marino
(http://manuelmarino.com).


%prep
%setup -c -q -n %{name}-%{version}


%build
# this section left intentionally empty


%install
rm -rf %{buildroot}
mkdir -p -m 0755 %{buildroot}%{_datadir}/%{game_name}/base
cp -pr music %{buildroot}%{_datadir}/%{game_name}/base
# fix permissions, some files within the archive are readable only for owner
chmod +r %{buildroot}%{_datadir}/%{game_name}/base/music/*


%clean
rm -rf %{buildroot}


%files
%defattr(-,root,root,-)
%{_datadir}/%{game_name}/


%changelog
* Mon Dec 17 2007 Karel Volny <kvolny@redhat.com> 2.1.1-2
- added empty build section to better comply with rules
- changed license (and description), added ufoai dependency to match author's wishes

* Thu Dec 06 2007 Karel Volny <kvolny@redhat.com> 2.1.1-1
- Initial release for Fedora 8, split additional music from the ufoai package
